﻿@using GoCoCMS.Data.Domain.Identity
@using Microsoft.AspNetCore.Identity
@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@if (SignInManager.IsSignedIn(User))
{
  <ul class="navbar-nav navbar-nav-user ml-auto">
    <li class="nav-item">
      <a class="nav-link" asp-controller="Home" asp-action="Index" title="Profile">Hello @UserManager.GetUserName(User)!</a>
    </li>
    @if (User.IsInRole("Administrator"))
    {
      <li class="nav-item">
        <a class="nav-link" href="/admin" title="Manage">Dashboard</a>
      </li>
    }
    <li class="nav-item">
      <a class="nav-link" href="/logout">Logout</a>
    </li>
  </ul>
}
else
{
  <ul class="navbar-nav navbar-nav-user ml-auto">
    <li class="nav-item">
      <a class="nav-link" href="/register">Register</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="/login">Login</a>
    </li>
  </ul>
}